Bug 1288588 - after upgrading to RHEL-7.2, the Suspend option is gone from the GDM power menu
after upgrading to RHEL-7.2, the Suspend option is gone from the GDM power menu
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 11:41 EST by Laszlo Ersek
Modified: 2015-12-07 09:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:21:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laszlo Ersek 2015-12-04 11:41:06 EST
The subject says it all. My laptop is configured *not* to suspend when I close the lid (this is intentional), so up to & including RHEL-7.1 I had depended on the Suspend entry in the power menu of the GDM login screen.

The Suspend option is gone with RHEL-7.2.
Comment 1 Tomas Pelka 2015-12-04 12:01:15 EST
(In reply to Laszlo Ersek from comment #0)
> The subject says it all. My laptop is configured *not* to suspend when I
> close the lid (this is intentional), so up to & including RHEL-7.1 I had
> depended on the Suspend entry in the power menu of the GDM login screen.
> 
> The Suspend option is gone with RHEL-7.2.

It is not missing. You need to hold Alt, power button will change to uspend.

I would propose to close as NOTABUG.
Comment 2 Laszlo Ersek 2015-12-05 10:44:42 EST
Thanks a lot for the hint, indeed it is there, and it works.

However, I think that with this, GNOME has reached a new height of non-intuitiveness. Why is there no separate, dedicated button? What screen real estate could possibly be saved with this? Is the trick documented anywhere? (Obviously, I tried hard to google the question before reporting the bug, and I ended up with nothing.)

I'll leave it to you to close this as NOTABUG or to turn it into a documentation BZ. Either way, thanks again for your help.
Comment 3 Tomas Pelka 2015-12-05 11:09:55 EST
(In reply to Laszlo Ersek from comment #2)
> Thanks a lot for the hint, indeed it is there, and it works.
> 
> However, I think that with this, GNOME has reached a new height of
> non-intuitiveness. Why is there no separate, dedicated button? What screen
> real estate could possibly be saved with this? Is the trick documented
> anywhere? (Obviously, I tried hard to google the question before reporting
> the bug, and I ended up with nothing.)
> 
> I'll leave it to you to close this as NOTABUG or to turn it into a
> documentation BZ. Either way, thanks again for your help.

I believe there are at least two extensions covering your issue, 

https://extensions.gnome.org/extension/826/suspend-button/
https://extensions.gnome.org/extension/663/suspend/

but they are not supported by RedHat as far as I know. It doesn't mean it will not work.
Comment 4 Laszlo Ersek 2015-12-07 08:21:24 EST
Thanks -- I don't object to having to press Alt to suspend from the GDM login screen; my problem is that I had to report an RHBZ to figure out this information.

Anyway, we can now consider it documented, I guess; this is a public bug. Search engines will hopefully pick it up.
Comment 5 Tomas Pelka 2015-12-07 09:30:50 EST
Or you/we can file a bug against documentation.

Note You need to log in before you can comment on or make changes to this bug.